Get FindAll Run Schema
curl --request GET \
--url https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/schema",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/schema"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/schema")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/schema")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"enrichments": [
{
"output_schema": {
"json_schema": {
"properties": {
"ceo_name": {
"description": "Name of the current CEO of the company. If the CEO is not publicly known, provide the name of the highest-ranking executive or founder. If no information is available, return null.",
"type": "string"
}
},
"type": "object"
},
"type": "json"
},
"processor": "core"
}
],
"entity_type": "companies",
"generator": "core",
"match_conditions": [
{
"description": "Company must be developing artificial intelligence (AI) products",
"name": "developing_ai_products_check"
}
],
"match_limit": 50,
"objective": "Find all AI companies that raised Series A funding in 2024"
}Parallel
Get FindAll Run Schema
Get FindAll Run Schema
<!-- aisa-pricing:start -->
Published reference price: $0.012 USD per successful request. Account-specific pricing and final settlement may differ.
<!-- aisa-pricing:end -->
GET
https://api.aisa.one
/
apis
/
v1
/
parallel
/
findall
/
runs
/
{findall_id}
/
schema
Get FindAll Run Schema
curl --request GET \
--url https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/schema",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/schema"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/schema")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/schema")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"enrichments": [
{
"output_schema": {
"json_schema": {
"properties": {
"ceo_name": {
"description": "Name of the current CEO of the company. If the CEO is not publicly known, provide the name of the highest-ranking executive or founder. If no information is available, return null.",
"type": "string"
}
},
"type": "object"
},
"type": "json"
},
"processor": "core"
}
],
"entity_type": "companies",
"generator": "core",
"match_conditions": [
{
"description": "Company must be developing artificial intelligence (AI) products",
"name": "developing_ai_products_check"
}
],
"match_limit": 50,
"objective": "Find all AI companies that raised Series A funding in 2024"
}Request contract
- Method and path: GET /apis/v1/parallel/findall/runs/{findall_id}/schema
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/schema
- parallel-beta: header; optional
- findall_id: path; required
- Runtime facts: 5d413ff65ac53e696e28c5a12c4dbbb99e94b7667cbafba2e2c6b9da9156a731
{
"operationId": "any_parallel_ai_apis_v1_parallel_findall_runs_fin_fcb322",
"method": "GET",
"path": "/apis/v1/parallel/findall/runs/{findall_id}/schema",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"deprecated": true,
"in": "header",
"name": "parallel-beta",
"required": false,
"schema": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"deprecated": true,
"title": "Parallel-Beta"
}
},
{
"in": "path",
"name": "findall_id",
"required": true,
"schema": {
"title": "Findall Id",
"type": "string"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "explicit_zero",
"customer_pricing": "fixed_success",
"default_request_estimate_usd": 0.012,
"estimate_source": "profile_seed",
"evidence_source": "request_snapshot"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.012 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.012
- Cost contract: explicit_zero
- Settlement evidence source: request_snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Response
Successful Response
Response model for FindAll ingest.
Type of the entity for the FindAll run.
List of match conditions for the FindAll run.
Show child attributes
Show child attributes
Natural language objective of the FindAll run.
Example:
"Find all AI companies that raised Series A funding in 2024"
List of enrichment inputs for the FindAll run.
Show child attributes
Show child attributes
The generator of the FindAll run.
Available options:
base, core, pro, preview Max number of candidates to evaluate